// JavaScript Document
function validatephone(xxxxx) {
var maintainplus = '';
var numval = xxxxx.value
if ( numval.charAt(0)=='+' ){ var maintainplus = '+';}
curphonevar = numval.replace(/[\\A-Za-z!"£$%^&*+_={};:'@#~,.¦\/<>?|`¬\]\[]/g,'');
xxxxx.value = maintainplus + curphonevar;
var maintainplus = '';
xxxxx.focus;
}

function validatechar(xxxxx) {
	

var maintainplus = '';
var numval = xxxxx.value
if ( numval.charAt(0)=='+' ){ var maintainplus = '+';}
curphonevar = numval.replace(/[\\0-9\]\[]/g,'');
xxxxx.value = maintainplus + curphonevar;
var maintainplus = '';
xxxxx.focus;
}


function validatecheckout()
{
	if(document.getElementById('Fname').value!="")
	  {
		  
	  }
	  else
	  {
		  alert("Enter First Name");
		  return false;
	  }
	  if(document.getElementById('Lname').value!="")
	  {
		
	  }
	  else
	  {
		  alert("Enter Last Name");
		  return false;
	  }
	  if(document.getElementById('Address1').value!="")
	  {
	
	  }
	  else
	  {
		  alert("Enter Address Field");
		  return false;
	  }
	  
	    if(document.getElementById('City').value!="")
	  {
		 
	  }
	  else
	  {
		  alert("Enter City");
		  return false;
	  }
	  	  if(document.getElementById('State').value!="")
	  {
	
	  }
	  else
	  {
		  alert("Enter State");
		  return false;
	  }
	  
	  	  	  if(document.getElementById('Country').value!="")
	  {

	  }
	  else
	  {
		  alert("Enter Country");
		  return false;
	  }
	  
	  
	  
	  
	  
	  	   if(document.getElementById('Zip').value!="")
	  {
		 
	  }
	  else
	  {
		  alert("Enter Zip");
		  return false;
	  }

	  if(document.getElementById('Phone').value!="")
	  {
		
	  }
	  else
	  {
		  alert("Enter Phone Number");
		  return false;
	  }
	  






	

	  if(document.getElementById('PFname').value!="")
	  {
		  
	  }
	  else
	  {
		  alert("Enter Payment First Name");
		  return false;
	  }
	  if(document.getElementById('PLname').value!="")
	  {
		
	  }
	  else
	  {
		  alert("Enter Payment Last Name");
		  return false;
	  }
	  if(document.getElementById('PAddress1').value!="")
	  {
	
	  }
	  else
	  {
		  alert("Enter Payment Address Field");
		  return false;
	  }
	  
	  	  if(document.getElementById('PCity').value!="")
	  {
		 
	  }
	  else
	  {
		  alert("Enter Payment City");
		  return false;
	  }
	   if(document.getElementById('PState').value!="")
	  {
	
	  }
	  else
	  {
		  alert("Enter  Payment State");
		  return false;
	  }
	  
	    
	  	  if(document.getElementById('PCountry').value!="")
	  {

	  }
	  else
	  {
		  alert("Enter Payment Country");
		  return false;
	  }
	  
	  
	  
	   if(document.getElementById('PZip').value!="")
	  {
		 
	  }
	  else
	  {
		  alert("Enter Payment Zip");
		  return false;
	  }
	
	  
	  
	  
	  
	  if(document.getElementById('PPhone').value!="")
	  {
		
	  }
	  else
	  { 
		  alert("Enter Payment Phone Number");
		  return false;
	  }
	  

  var d=document.form1;
  
var regExpression = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/;

	if(d.email.value=="")
	{
		alert("Please Enter Your Email Address");
		d.email.focus();
		return false;
	}
	 if (! regExpression.test(d.email.value) )
    {
      alert("Email address is invalid");
      d.email.focus();
      d.email.select();
      return false;
    }
	
		if(d.email.value=="")
	{
		alert("Please Enter Your Email Address");
		d.email.focus();
		return false;
	}
	
			if(d.creditCardNumber.value=="")
	{
		alert("Please Enter Card Number");
		d.creditCardNumber.focus();
		return false;
	}
	
	
	
	

}